
Smart Proxy - Bug #12319

Proxy templates API breaks on concurrent requests

10/27/2015 06:28 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1275647 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/334

  

Description

When trying to render templates concurrently, multiple (different) failures occurs.

Reproducer:

#!/bin/bash

proxy_url=$1

token=$2

num_requests=$3

path="${proxy_url}/unattended/iPXE?token=${token}" 

for (( i=0; i<$num_requests; i++ ))

do

curl -s $path &

done

 
# ./proxy_error_test.sh http://localhost:8448 eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6 15

Failed to retrieve iPXE template for {"token"=>"eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6", "splat"=>[]

, "captures"=>["iPXE"], "kind"=>"iPXE"}: stream closedFailed to retrieve iPXE template for {"token

"=>"eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6", "splat"=>[], "captures"=>["iPXE"], "kind"=>"iPXE"}: str

eam closedFailed to retrieve iPXE template for {"token"=>"eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6", "

splat"=>[], "captures"=>["iPXE"], "kind"=>"iPXE"}: undefined method `closed?' for nil:NilClassFail

ed to retrieve iPXE template for {"token"=>"eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6", "splat"=>[], "c

aptures"=>["iPXE"], "kind"=>"iPXE"}: undefined method `closed?' for nil:NilClassFailed to retrieve

 iPXE template for {"token"=>"eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6", "splat"=>[], "captures"=>["iP

XE"], "kind"=>"iPXE"}: undefined method `closed?' for nil:NilClassFailed to retrieve iPXE template

 for {"token"=>"eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6", "splat"=>[], "captures"=>["iPXE"], "kind"=>

"iPXE"}: undefined method `closed?' for nil:NilClassFailed to retrieve iPXE template for {"token"=

>"eb9e1d9c-0bd1-4361-a3c2-7e0961a9b5b6", "splat"=>[], "captures"=>["iPXE"], "kind"=>"iPXE"}: undef

ined method `closed?' for nil:NilClass

Associated revisions

Revision 26aba852 - 11/02/2015 04:16 AM - Dmitri Dolguikh 

Fixes #12319: fixed race condition in templates module

Multiple simultaneous requests to /unattended/template_type no longer fail.

History

#1 - 10/27/2015 06:41 AM - Anonymous

I assume this is under 1.8.7? Can you attach the backtrace?
#2 - 10/27/2015 08:25 AM - Bryan Kearney

- Bugzilla link set to 1275647

#3 - 10/27/2015 10:44 AM - Lukas Zapletal

Here is one from latest development environment proxy running on Ruby 2.0:

E, [2015-10-27T15:43:23.409044 #5923] ERROR -- : Failed to retrieve iPXE template for {"token"=>"0a59df01-77d8

-467c-8462-4b2beebcebfb", "splat"=>[], "captures"=>["iPXE"], "kind"=>"iPXE"}: stream closed

D, [2015-10-27T15:43:23.412338 #5923] DEBUG -- : /home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/uri/comm

on.rb:125:in `==='

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/uri/common.rb:125:in `split'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/uri/common.rb:211:in `parse'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/uri/common.rb:747:in `parse'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/uri/common.rb:996:in `URI'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1027:in `proxy_uri'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1014:in `proxy?'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:868:in `connect'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1445:in `begin_transport'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1402:in `transport_request'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1376:in `request'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rest-client-1.6.9/lib/restclient/net_http_ext.r

b:51:in `request'

/home/lzap/work/smart-proxy/lib/proxy/request.rb:46:in `send_request'

/home/lzap/work/smart-proxy/modules/templates/template_proxy_request.rb:21:in `get_template'

/home/lzap/work/smart-proxy/modules/templates/template_proxy_request.rb:38:in `get_template'

/home/lzap/work/smart-proxy/modules/templates/templates_api.rb:19:in `block (2 levels) in <class:TemplatesApi>

'

/home/lzap/work/smart-proxy/lib/proxy/helpers.rb:14:in `log_halt'

/home/lzap/work/smart-proxy/modules/templates/templates_api.rb:18:in `block in <class:TemplatesApi>'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1609:in `call

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1609:in `bloc

k in compile!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:974:in `[]'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:974:in `block

 (3 levels) in route!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:993:in `route

_eval'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:974:in `block

 (2 levels) in route!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1014:in `bloc

k in process_route'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1012:in `catc

h'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1012:in `proc

ess_route'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:972:in `block

 in route!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:971:in `each'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:971:in `route

!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1084:in `bloc

k in dispatch!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `bloc

k in invoke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `catc

h'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `invo

ke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1081:in `disp

atch!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:906:in `block

 in call!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `bloc

k in invoke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `catc

h'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `invo

ke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:906:in `call!

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:894:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/commonlogger.rb:33:in `call
'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:218:in `call'

/home/lzap/work/smart-proxy/lib/proxy/log.rb:58:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/xss_h

eader.rb:18:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/path_

traversal.rb:16:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/json_

csrf.rb:18:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/base.

rb:49:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/base.

rb:49:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/frame

_options.rb:31:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/nulllogger.rb:9:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/head.rb:11:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/show_exceptions.rb:21

:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:181:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:2021:in `call

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1486:in `bloc

k in call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1795:in `sync

hronize'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1486:in `call

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/urlmap.rb:65:in `block in c

all'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `each'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/handler/webrick.rb:60:in `s

ervice'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:138:in `service'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:94:in `run'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/webrick/server.rb:295:in `block in start_thread'

I, [2015-10-27T15:43:23.413142 #5923]  INFO -- : 127.0.0.1 - - [27/Oct/2015 15:43:23] "GET /unattended/iPXE?to

ken=0a59df01-77d8-467c-8462-4b2beebcebfb HTTP/1.1" 500 152 0.0387

#4 - 10/27/2015 10:46 AM - Lukas Zapletal

After some time I see also:

lzapx.brq.redhat.com - - [27/Oct/2015:15:43:23 CET] "GET /unattended/iPXE?token=0a59df01-77d8-467c-8462-4b2bee

bcebfb HTTP/1.1" 500 155

- -> /unattended/iPXE?token=0a59df01-77d8-467c-8462-4b2beebcebfb

E, [2015-10-27T15:45:26.430753 #5923] ERROR -- : Failed to retrieve iPXE template for {"token"=>"0a59df01-77d8

-467c-8462-4b2beebcebfb", "splat"=>[], "captures"=>["iPXE"], "kind"=>"iPXE"}: Net::ReadTimeout

D, [2015-10-27T15:45:26.430968 #5923] DEBUG -- : /home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/prot

ocol.rb:158:in `rescue in rbuf_fill'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/protocol.rb:152:in `rbuf_fill'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/protocol.rb:134:in `readuntil'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/protocol.rb:144:in `readline'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http/response.rb:39:in `read_status_line'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http/response.rb:28:in `read_new'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1406:in `block in transport_request'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1403:in `catch'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1403:in `transport_request'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/net/http.rb:1376:in `request'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rest-client-1.6.9/lib/restclient/net_http_ext.r

b:51:in `request'

/home/lzap/work/smart-proxy/lib/proxy/request.rb:46:in `send_request'

/home/lzap/work/smart-proxy/modules/templates/template_proxy_request.rb:21:in `get_template'

/home/lzap/work/smart-proxy/modules/templates/template_proxy_request.rb:38:in `get_template'

/home/lzap/work/smart-proxy/modules/templates/templates_api.rb:19:in `block (2 levels) in <class:TemplatesApi>

'

/home/lzap/work/smart-proxy/lib/proxy/helpers.rb:14:in `log_halt'

/home/lzap/work/smart-proxy/modules/templates/templates_api.rb:18:in `block in <class:TemplatesApi>'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1609:in `call

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1609:in `bloc

k in compile!'
/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:974:in `[]'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:974:in `block

 (3 levels) in route!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:993:in `route

_eval'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:974:in `block

 (2 levels) in route!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1014:in `bloc

k in process_route'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1012:in `catc

h'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1012:in `proc

ess_route'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:972:in `block

 in route!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:971:in `each'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:971:in `route

!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1084:in `bloc

k in dispatch!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `bloc

k in invoke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `catc

h'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `invo

ke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1081:in `disp

atch!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:906:in `block

 in call!'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `bloc

k in invoke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `catc

h'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `invo

ke'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:906:in `call!

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:894:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/commonlogger.rb:33:in `call

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:218:in `call'

/home/lzap/work/smart-proxy/lib/proxy/log.rb:58:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/xss_h

eader.rb:18:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/path_

traversal.rb:16:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/json_

csrf.rb:18:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/base.

rb:49:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/base.

rb:49:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-protection-1.5.3/lib/rack/protection/frame

_options.rb:31:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/nulllogger.rb:9:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/head.rb:11:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/show_exceptions.rb:21

:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:181:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:2021:in `call

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1486:in `bloc

k in call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1795:in `sync

hronize'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/sinatra-1.4.6/lib/sinatra/base.rb:1486:in `call

'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/urlmap.rb:65:in `block in c

all'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `each'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/gems/2.0.0/gems/rack-1.5.5/lib/rack/handler/webrick.rb:60:in `s
ervice'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:138:in `service'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:94:in `run'

/home/lzap/.rbenv/versions/2.0.0-p353/lib/ruby/2.0.0/webrick/server.rb:295:in `block in start_thread'

#5 - 10/28/2015 01:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/334 added

- Pull request deleted ()

#6 - 11/02/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 26aba8520d3d32ca27b9708cb98169bc31d43d7b.

#7 - 11/02/2015 05:43 AM - Dominic Cleal

- translation missing: en.field_release set to 104

- Assignee set to Anonymous
